# -*- Python -*-
#
# The configuration file of yumsync.
# It's a Python file (*not* a module).
#
# Packages names/group names as in kickstart format.

import os
import sys
import socket


def detectTargetHost ():
    targetHost = 'unknown'
    hostname   = socket.gethostname()
    hostAddr   = socket.gethostbyname(hostname)

    if hostname == 'sl7' and hostAddr == '127.0.0.1':
        print 'Running on <lepka>, enabling special packages tweaking.'
        targetHost = 'lepka'
    else:
        targetHost = hostname.split('.')[0]
        if targetHost.endswith('-wifi'):
            targetHost = targetHost[:-5]

    return targetHost

targetHost = detectTargetHost()


if targetHost.startswith('lepka'):
    repoids = \
        [ 'sl-local' #, 'sl-extras-local', 'sl-softwarecollections-local'
        , 'epel-local', 'vendors-local'
        , 'soc-addons-local', 'soc-texlive-local' #, 'soc-xfce-local'
        ]
elif targetHost.startswith('backup'):
    repoids = \
        [ 'sl', 'sl-security', 'sl-extras'  #, 'sl-softwarecollections'
        , 'epel-local', 'adobe-linux-x86_64', 'google-chrome', 'virtualbox'
        , 'soc-addons-local', 'soc-texlive-local'
        ]
elif targetHost.startswith('neustardt'):
    repoids = \
        [ 'sl', 'sl-security', 'sl-extras' #, 'sl-softwarecollections'
        , 'epel', 'adobe-linux-x86_64', 'google-chrome', 'virtualbox'
        , 'soc-addons', 'soc-texlive'
        ]
elif targetHost.startswith('menteia'):
    repoids = \
        [ 'sl', 'sl-security', 'sl-extras' #, 'sl-softwarecollections'
        , 'epel', 'adobe-linux-x86_64', 'google-chrome'
        , 'soc-addons', 'soc-texlive'
        ]
else:
    repoids = \
        [ 'sl-local', 'sl-extras-local' #, 'sl-softwarecollections-local'
        , 'epel-local', 'xpra-local', 'vendors-local'
        , 'soc-addons-local', 'soc-texlive-local'
        ]


desktopSl7Pkgs = \
    [ '@additional-devel', '@base', '@core', '@debugging'
    , '@smart-card'
    , '@desktop-debugging', '@remote-desktop-clients'
    , '@development', '@dial-up', '@directory-client', '@emacs',  '@fonts'
    , '@graphics'
    , '@electronic-lab', '@scientific'
    , '@x11', '@legacy-x'
    , '@gnome-apps', '@gnome', '@guest-desktop-agents'
    , '@input-methods',        '@internet-applications'
    , '@graphical-admin-tools'
    , '@internet-browser',   '@java-platform'
    , '@print-client', '@office-suite'
    , '@performance', '@perl-runtime', '@platform-devel', '@ruby-runtime'
    , '@technical-writing', '@virtualization-client'
    , '@virtualization-hypervisor', '@virtualization-tools', '@web-server'
    , '@backup-client'
   # End of groups.
    , 'sl-release-notes', 'ksh', 'zsh'
    , 'kernel-devel', 'dkms', 'iwl7265-firmware', 'ypbind', 'yp-tools'
    , 'efibootmgr', 'efivar-libs', 'shim', 'shim-unsigned', 'hwdata'
    , 'grub2', 'grub2-tools', 'grub2-efi'
    , 'libcgroup-tools', 'cifs-utils', 'samba-client', 'nfs4-acl-tools'
    , 'NetworkManager-adsl', 'NetworkManager-libnm', 'NetworkManager-team'
    , 'NetworkManager-wifi', 'targetcli', 'linuxconsoletools'
    , 'PackageKit-gstreamer-plugin'
    , 'anaconda-core', 'anaconda-tui', 'anaconda-gui', 'anaconda-user-help'
    , 'firstboot', 'initial-setup-gui'
    , 'gssproxy', 'python-magic', 'python-perf'
    , 'glibc-static', 'libstdc++-static'
    , 'xorg-x11-server-Xvfb'
    , 'xorg-x11-fonts-75dpi', 'xorg-x11-fonts-ISO8859-1-75dpi'
    , 'open-sans-fonts'
    , 'cups-client'
    , 'man-pages-overrides', 'ftp'
    , 'fuse-sshfs', 'fuse-encfs', 'gnome-encfs-manager'
    , 'latex2html', 'thunderbird',  'createrepo', 'urlview', 'rsh',  'mutt' 
    , 'procmail', 'fetchmail',  'tigervnc',  'tigervnc-server'
    , 'gconf-editor', 'vim-X11',  'python-docs',  'qt-doc',  'libXpm-devel'
    , 'libXmu-devel', 'libXp-devel', 'motif-devel',  'rdist',  'screen'
    , 'lm_sensors', 'yum-plugin-versionlock',  'finger',  'subversion-perl'
    , 'xorg-x11-apps', 'mc', 'telnet', 'expect',  'PyQt4-devel',  'git-all'
    , 'gitolite3', 'glpk-devel', 'glpk-utils'
    , 'pinentry-qt'
    , 'python-configshell', 'python-kmod'
    , 'rubygems',  'rusers-server', 'acpid', 'alsa-utils'
    , 'rusers', 'rrdtool',  'rrdtool-python',  'tcl', 'python-docutils'
    , 'rrdtool-doc',  'tcl-devel',  'tk-devel',  'expect-devel',  'minicom'
    , 'rsh-server',     'finger-server',     'sharutils', 'tmux'
    , 'fftw-devel',   'kdesdk',   'dos2unix',   'SDL-devel',    'qwt-devel'
    , 'subversion-kde', 'subversion-gnome', 'ccache', 'ffmpeg'
    , 'libusb-devel', 'elfutils-libelf', 'tkinter', 'imake', 'emacs-auctex'
    , 'emacs-auctex-doc',  'tree',   'mksh',   'gmp', 'xterm'
    , 'gmp-devel', 'libedit-devel', 'inkscape', 'numactl'
    , 'gnome-shell-extension-user-theme', 'libreoffice-langpack-en'
    , 'hunspell-fr', 'aspell'
    , 'python-matplotlib', 'python-matplotlib-qt4', 'python-matplotlib-doc'
    , 'xfig',  'ImageMagick',  'graphviz', 'GraphicsMagick', 'dspdfviewer'
    , 'alsa-plugins-pulseaudio', 'pulseaudio-module-x11', 'pulseaudio-utils'
    , 'scipy', 'java-1.8.0-openjdk-devel', 'ant'
   # End of individual packages.
    ]

if targetHost in [ 'lin', 'tchaikovsky' ]:
  desktopSl7Pkgs += [ 'kernel-ml' ]

desktopSocPkgs = \
    [ 'atrpms-rpm-config', 'epel-release'
    , 'ntfs-3g', 'wol', 'ocsinventory-agent'
    , 'clang', 'clang-analyzer', 'meld'
    , 'nagios-plugins-disk', 'nagios-plugins-load', 'nagios-plugins-nrpe'
    , 'nagios-plugins-procs', 'nagios-plugins-users', 'nrpe'
    , 'gparted', 'unetbootin'
    , 'p7zip', 'unrar', 'tnef'
    , 'uucp', 'ckermit', 'ftp', 'ncftp'
    , 'python-kid', 'mock'
    , 'VirtualBox-5.0', 'x11vnc', 'google-chrome-stable', 'flash-plugin'
    , 'owncloud-client', 'owncloud-client-nautilus'
    , 'keepassx'
    , 'WindowMaker', 'WindowMaker-extra'
    , 'fvwm', 'i3', 'i3-ipc', 'i3status', 'i3lock', 'i3-doc'
    , '@mate-desktop'
    , '@xfce-desktop', 'xfce4-about', 'xfce4-dev-tools', 'xfce4-netload-plugin'
    , 'xfce4-systemload-plugin', 'xfce4-terminal', 'xfce4-weather-plugin'
    , 'xfce4-cpugraph-plugin', 'xfce4-battery-plugin', 'xfce4-notifyd'
    , 'xfce4-datetime-plugin', 'xfce4-eyes-plugin', 'xfdashboard'
    , 'bitstream-vera-sans-fonts', 'bitstream-vera-sans-mono-fonts'
    , 'x2goclient', 'x2goserver', 'pyhoca-cli', 'pyhoca-gui'
    , 'python2-evdev', 'winswitch'
    , 'gtk-murrine-engine', 'gtk-unico-engine', 'gtk2-engines'
    , 'gnome-themes-soc', 'adapta-theme', 'xlockmore', 'xlockmore-gtk'
    , 'gpick', 'gcolor2', 'gthumb', 'geany', 'alpine'
    , 'rxtx', 'fritzing', 'htop'
    , 'lame', 'grip', 'mpd', 'gmpc', 'xmms', 'HandBrake', 'mplayer', 'vlc', 'gqview'
    , 'awf', 'easytag', 'libdvdcss', 'mediainfo', 'banshee'
    , 'texmaker', 'gnuplot-qt', 'pdfjam', 'ted', 'a2ps', 'fop', 'saxon', 'xpdf'
    , 'jabref', 'dspdfviewer', 'pandoc', 'pandoc-citeproc'
    , 'dia', 'numpy', 'ghdl', 'yosys'
    , 'qemu-system-ppc', 'qemu-system-x86', 'qemu-system-arm'
    , 'gcc-powerpc64-linux-gnu', 'cvc4'
    , 'python-gmpy2', 'python2-openpyxl', 'python2-scikit-image'
    , 'python2-sphinx', 'python2-sphinx_rtd_theme', 'python-pygments'
    , 'python2-networkx', 'python-networkx-doc'
    , 'kmahjongg', 'kst'
    , 'avr-libc', 'avr-libc-doc', 'avrdude', 'pyusb'
    , 'python-pyside', 'python-pyqtgraph', 'pyside-tools', 'python-pygit2'
    , 'compat-libtiff3', 'klayout'
    , 'autocorr-fr', 'gimp-help-fr', 'gnome-getting-started-docs-fr'
    , 'hyphen-fr', 'libreoffice-langpack-fr', 'man-pages-fr', 'mythes-fr'
    , 'kde-l10n', 'kde-l10n-French', 'sublime-text'
    , 'epel-release', 'yum-plugin-fastestmirror'
    , 'gstreamer1-plugins-ugly-free'
    ]

sysDevelPkgs = \
    [ 'libsysfs-devel', 'pth-devel', 'libtar-devel', 'lzo-devel', 'minizip-devel'
    , 'zziplib-devel', 'libssh2-devel', 'libsmbclient-devel'
    , 'libtool-ltdl-devel'
    , 'libupnp-devel'
    , 'lirc-devel', 'tslib-devel', 'blas-devel'
    , 'libunwind-devel', 'gd-devel'
    , 'avahi-devel', 'avahi-glib-devel', 'glib-devel', 'gnome-libs-devel'
    , 'gnome-vfs2-devel', 'json-glib', 'libIDL-devel', 'libart_lgpl'
    , 'gtk+-devel', 'libbonobo-devel', 'libbonoboui-devel', 'libglade2-devel'
    , 'libgnome-devel', 'libgnomecanvas-devel', 'libgnomeui-devel', 'libsexy-devel'
    , 'webkitgtk-devel', 'webkitgtk3-devel'
    , 'pygobject2-devel', 'pygtk2-devel'
    , 'libvncserver-devel'
    , 'netembryo-devel', 'libmicrohttpd-devel', 'libproxy-devel', 'lksctp-tools-devel'
    , 'openslp-devel'
    , 'lua-devel', 'orc-devel', 'slang-devel'
    , 'coin-or-lemon-devel', 'cvc3'
    , 'muParser-devel'
    , 'SFML'
    , 'ddd', 'global', 'global-ctags', 'emacs-global', 'gperf', 'scons'
   #, 'devtoolset-3-eclipse'
    , 'code'                       # Microsoft Visual Studio
    , 'python-glpk', 'python-wheel', 'python2-pip'
    , 'gcc-arm-linux-gnu'
    , 'libgomp.i686', 'libnotify', 'libnotify.i686', 'dbus-glib.i686', 'libpng12.i686'
    , 'mesa-libGLU.i686', 'libGLEW.i686', 'libcanberra-gtk3.i686', 'libcanberra-gtk2.i686'
    , 'libmpc-devel', 'mpfi-devel' #, 'bazel', 'modelio-open-source3.7'
    ]

texliveSocPkgs = \
    [ 'texlive-collection-latex'
    , 'texlive-epstopdf-bin'
    , 'texlive-opensans', 'texlive-subfigure', 'texlive-wrapfig', 'texlive-titlesec'
    , 'texlive-pgf', 'texlive-adjustbox', 'texlive-pgfplots', 'texlive-todonotes'
    , 'texlive-multirow' , 'texlive-boxedminipage', 'texlive-standalone'
    , 'texlive-dblfloatfix', 'texlive-mathabx', 'texlive-mathabx-type1'
    , 'texlive-alterqcm', 'texlive-lipsum', 'texlive-xypic', 'texlive-thmtools'
    , 'texlive-algorithmicx', 'texlive-makecell', 'texlive-vmargin'
    , 'texlive-appendixnumberbeamer', 'texlive-genmisc'
    , 'texlive-ae-doc', 'texlive-appendix', 'texlive-arabxetex', 'texlive-arphic'
    , 'texlive-bibtopic', 'texlive-bidi', 'texlive-bigfoot', 'texlive-changebar'
    , 'texlive-changepage', 'texlive-cjk', 'texlive-cns', 'texlive-collection-xetex'
    , 'texlive-datetime', 'texlive-eepic', 'texlive-epsf', 'texlive-euenc'
    , 'texlive-fixlatvian', 'texlive-fmtcount', 'texlive-fontbook', 'texlive-fontwrap'
    , 'texlive-garuda-c90', 'texlive-hyphenat', 'texlive-ifmtarg', 'texlive-iftex'
    , 'texlive-lastpage', 'texlive-lettrine', 'texlive-makecmds', 'texlive-mathspec'
    , 'texlive-mnsymbol', 'texlive-ncctools', 'texlive-norasi-c90', 'texlive-overpic'
    , 'texlive-philokalia', 'texlive-placeins', 'texlive-polyglossia', 'texlive-preprint'
    , 'texlive-ptext', 'texlive-realscripts', 'texlive-sectsty', 'texlive-stmaryrd'
    , 'texlive-t2', 'texlive-textpos', 'texlive-thailatex', 'texlive-ucharclasses'
    , 'texlive-uhc', 'texlive-unisugar', 'texlive-wadalab', 'texlive-was'
    , 'texlive-xecjk', 'texlive-xecolor', 'texlive-xecyr', 'texlive-xeindex'
    , 'texlive-xepersian', 'texlive-xesearch', 'texlive-xetex', 'texlive-xetex-bin'
    , 'texlive-xetex-def', 'texlive-xetex-itrans', 'texlive-xetex-pstricks'
    , 'texlive-xetex-tibetan', 'texlive-xetexconfig', 'texlive-xetexfontinfo'
    , 'texlive-xifthen', 'texlive-xltxtra', 'texlive-xstring'
    , 'texlive-a4wide', 'texlive-aeguill', 'texlive-bophook', 'texlive-comment'
    , 'texlive-exam', 'texlive-examplep', 'texlive-exercise', 'texlive-glossaries-doc'
    , 'texlive-moreverb', 'texlive-relsize', 'texlive-tikz-qtree', 'texlive-upquote'
    , 'texlive-xcomment', 'texlive-minitoc', 'texlive-glossaries', 'texlive-draftcopy'
    , 'texlive-storebox', 'texlive-picinpar', 'texlive-circuitikz', 'texlive-anyfontsize'
    , 'texlive-babel-french', 'texlive-biblatex', 'texlive-yfonts', 'texlive-kpfonts'
    , 'texlive-hyphen-french'
    , 'texlive-fourier', 'texlive-fouriernc'
    , 'texlive-mathdots', 'texlive-beamerposter'
    , 'texlive-subfloat', 'texlive-emptypage', 'texlive-acronym', 'texlive-nomencl'
    , 'texlive-lettre', 'texlive-lettre-doc' 
    , 'texlive-graphviz', 'texlive-doublestroke'
    , 'auto-multiple-choice', 'texlive-dvipdfm', 'lyx'
    ]

perlPkgs = \
    [ 'perl-File-Finder', 'perl-XML-TokeParser', 'perl-XML-Bare', 'perl-libwww-perl'
    , 'perl-HTML-Parser', 'ImageMagick-perl', 'perl-PathTools', 'perl-Data-Dumper'
    , 'perl-RPC-XML', 'perl-JSON'
    ]

softwareDevelPkgs = \
    [ 'clang-devel'
    , 'eigen3-devel'
    , 'python-doxypypy'
    , 'mpich-3.2', 'mpich-3.2-devel', 'mpich-3.2-doc'                       # MPI
    , 'qt5-qtbase', 'qt5-qtbase-devel', 'qt5-qtbase-doc', 'qt5-qtbase-gui'  # Qt5
    , 'qt5-qtbase-mysql', 'qt5-qtbase-odbc', 'qt5-qtbase-postgresql'        #
    , 'qt5-qtconnectivity', 'qt5-qtconnectivity-devel', 'qt5-qtdeclarative' #
    , 'qt5-qtdeclarative-devel', 'qt5-qtdoc', 'qt5-qtimageformats'          #
    , 'qt5-qtimageformats-devel', 'qt5-qtlocation', 'qt5-qtlocation-devel'  #
    , 'qt5-qtmultimedia', 'qt5-qtmultimedia-devel', 'qt5-qtquick1'          #
    , 'qt5-qtquick1-devel', 'qt5-qtscript', 'qt5-qtscript-devel'            #
    , 'qt5-qtsensors', 'qt5-qtsensors-devel', 'qt5-qtserialport'            #
    , 'qt5-qtserialport-devel', 'qt5-qtsvg', 'qt5-qtsvg-devel'              #
    , 'qt5-qttools', 'qt5-qttools-devel', 'qt5-qtwebkit', 'qt5ct'           #
    , 'qt5-qtwebkit-devel', 'qt5-qtx11extras', 'qt5-qtx11extras-devel'      #
    , 'qt5-qtxmlpatterns', 'qt5-qtxmlpatterns-devel', 'qwt-qt5-devel'       #
    , 'qt-creator'                                                          #
   #, 'cuda'                                                                # NVidia CUDA.
    , 'ocl-icd', 'ocl-icd-devel', 'opencl-headers', 'libpng12-devel'        # Xilinx SD SoC.
    , 'modelio-open-source3.7'
    ]

xfce4DevelPkgs = \
    [ 'libxfce4ui-devel', 'libxfce4util-devel', 'libxfcegui4-devel', 'vte-devel'
    , 'xfce4-panel-devel', 'xfce4-session-devel', 'xfconf-devel'
    ]

multimediaDevelPkgs = \
    [ 'libebml-devel', 'unique-devel'
    , 'fribidi-devel', 'fontpackages-devel', 'ftgl-devel'
    , 'enca-devel'
    , 'a52dec-devel', 'alsa-oss-devel', 'arts-devel', 'esound-devel'
    , 'jack-audio-connection-kit-devel', 'id3lib-devel', 'ladspa-devel'
    , 'libao-devel', 'lash-devel', 'libdca-devel', 'libid3tag-devel', 'taglib-devel'
    , 'libogg-devel', 'libreplaygain-devel', 'libsamplerate-devel'
    , 'libkate-devel', 'libmikmod-devel', 'libmms-devel', 'libmodplug-devel'
    , 'twolame-devel', 'wavpack-devel', 'xmms-devel'
    , 'libmpd-devel', 'libmusicbrainz-devel', 'libopendaap-devel'
    , 'libprojectM-devel', 'libshout-devel', 'libsidplay-devel', 'libtiger-devel'
    , 'openal-soft-devel', 'opencore-amr-devel', 'opencv-devel'
    , 'libsndfile-devel', 'mpg123-devel', 'musepack-tools-devel', 'nas-devel'
    , 'speex-devel', 'wildmidi-devel'
    , 'cdparanoia-devel', 'cuetools-devel', 'libcddb-devel', 'libcdio-devel'
    , 'libmtp-devel', 'portaudio-devel', 'vcdimager-devel'
    , 'Xaw3d-devel', 'libXvMC-devel', 'libXvMCW-devel', 'libXxf86dga-devel'
    , 'mesa-libGLES-devel', 'pycairo-devel', 'svgalib-devel', 'xcb-util-devel'
    , 'xosd-devel', 'xvidcore-devel'
    , 'glew-devel', 'libv4l-devel', 'libva-devel', 'libvdpau-devel'
    , 'giflib-devel', 'imlib-devel', 'imlib2-devel', 'libpng10-devel'
    , 'libgoom2-devel'
    , 'aalib-devel', 'libcaca-devel', 'SDL_image-devel', 'directfb-devel'
    , 'dirac-devel', 'faac-devel', 'ffmpeg-devel', 'flac-devel', 'gavl-devel'
    , 'libquicktime-devel', 'libtheora-devel', 'libvorbis-devel', 'libvpx-devel'
    , 'mpeg2dec-devel', 'openjpeg-devel', 'schroedinger-devel', 'x264-devel'
    , 'xavs-devel', 'zvbi-devel'
    , 'libfame-devel', 'libmad-devel', 'libnemesi-devel', 'live-devel', 'rtmpdump-devel'
    , 'frei0r-plugins-devel', 'gstreamer-devel', 'libmatroska-devel'
    , 'libffado-devel', 'libavc1394-devel', 'libdc1394-devel', 'libraw1394-devel'
    , 'libbluray-devel'
    , 'libdvdcss-devel' , 'libdvdnav-devel', 'libdvdread-devel'
    , 'libdv-devel', 'libdvbpsi-devel'
    , 'libass-devel'
    , 'fluidsynth-devel', 'gsm-devel'
    , 'SDL2_ttf-devel', 'SDL2_mixer-devel', 'SDL2_image-devel'
    , 'SDL.i686'
    ]

nodeJsPkgs = \
    [ 'nodejs'
    , 'nodejs-abbrev', 'nodejs-ansi', 'nodejs-archy', 'nodejs-asn1'
    , 'nodejs-assert-plus', 'nodejs-async', 'nodejs-aws-sign', 'nodejs-block-stream'
    , 'nodejs-boom', 'nodejs-child-process-close', 'nodejs-chmodr', 'nodejs-chownr'
    , 'nodejs-cmd-shim', 'nodejs-combined-stream', 'nodejs-config-chain'
    , 'nodejs-cookie-jar', 'nodejs-cryptiles', 'nodejs-ctype', 'nodejs-delayed-stream'
    , 'nodejs-devel', 'nodejs-editor', 'nodejs-forever-agent', 'nodejs-form-data'
    , 'nodejs-fstream', 'nodejs-fstream-ignore', 'nodejs-fstream-npm'
    , 'nodejs-github-url-from-git', 'nodejs-glob', 'nodejs-graceful-fs', 'nodejs-hawk'
    , 'nodejs-hoek', 'nodejs-http-signature', 'nodejs-inherits', 'nodejs-ini'
    , 'nodejs-init-package-json', 'nodejs-json-stringify-safe', 'nodejs-lockfile'
    , 'nodejs-lru-cache', 'nodejs-mime', 'nodejs-minimatch', 'nodejs-mkdirp'
    , 'nodejs-mute-stream', 'nodejs-node-uuid', 'nodejs-nopt', 'nodejs-normalize-package-data'
    , 'nodejs-npm-registry-client', 'nodejs-npm-user-validate', 'nodejs-npmconf'
    , 'nodejs-npmlog', 'nodejs-oauth-sign', 'nodejs-once', 'nodejs-opener'
    , 'nodejs-osenv', 'nodejs-packaging', 'nodejs-promzard', 'nodejs-proto-list'
    , 'nodejs-qs', 'nodejs-read', 'nodejs-read-installed', 'nodejs-read-package-json'
    , 'nodejs-request', 'nodejs-retry', 'nodejs-rimraf', 'nodejs-semver'
    , 'nodejs-sha', 'nodejs-sigmund', 'nodejs-slide', 'nodejs-sntp'
    , 'nodejs-tar', 'nodejs-tunnel-agent', 'nodejs-uid-number', 'nodejs-which'
    ]

sl75AddedPkgs = \
    [ 'MySQL-python', 'NetworkManager-libreswan-gnome', 'NetworkManager-ppp', 'adwaita-qt5'
    , 'apache-commons-lang', 'appstream-data', 'c-ares-devel', 'cal10n', 'cgdcbxd'
    , 'compat-cheese314', 'crash-ptdump-command', 'flatpak', 'flatpak-libs', 'glusterfs-fuse'
    , 'gnome-software', 'guava', 'highcontrast-qt5', 'ibacm', 'jackson', 'javassist'
    , 'joda-convert', 'joda-time', 'libappstream-glib' #, 'libatomic', 'libatomic-static'
    , 'libgcab1', 'libibcm', 'libibumad', 'libyami', 'lshw'
    , 'mod_wsgi', 'objectweb-asm', 'parfait', 'protobuf-c'
    , 'python-psycopg2', 'python-smbc', 'python-virtualenv' #, 'qemu-kvm-common'
    , 'qgnomeplatform', 'qt5-qt3d', 'qt5-qt3d-devel', 'qt5-qtcanvas3d', 'qt5-qtenginio'
    , 'qt5-qtenginio-devel', 'qt5-qtgraphicaleffects', 'qt5-qtquickcontrols2', 'qt5-qtserialbus'
    , 'qt5-qttranslations', 'qt5-qtwayland', 'qt5-qtwebchannel-devel', 'qt5-qtwebsockets'
    , 'qt5-qtwebsockets-devel', 'rdma-core-devel', 'sg3_utils', 'si-units', 'slf4j'
    , 'stax2-api', 'unit-api', 'uom-lib', 'uom-se', 'uom-systems' #, 'vdo'
    , 'xdg-desktop-portal', 'xdg-desktop-portal-gtk', 'yum-conf-repos'
    ]

socNetworkPkgs = \
    [ 'google-talkplugin'
    ]


laptopPkgs = \
    [ 'adobe-release-x86_64', 'solaar', 'solaar-doc'
    ]

#if targetHost.startswith('lepka'):
#  laptopPkgs += \
#      [ 'mariadb', 'mariadb-server'                                   # MySQL clone.
#      , 'php55', 'php55-php-gd', 'php55-php-mysqli', 'php55-php-soap'
#      , 'httpd24-httpd', 'httpd24-mod_ssl'
#      ]
#elif targetHost.startswith('arhouni'):
#  laptopPkgs += \
#      [ 'bluez', 'bluez-libs-devel' ]


serverPkgs = \
    [ 'ipmitool', 'nut-client'
    ]

#if targetHost.startswith('bop'):
#  serverPkgs += \
#      [ 'mariadb', 'mariadb-server'                                   # MySQL clone.
#      , 'php55', 'php55-php-gd', 'php55-php-mysqli', 'php55-php-soap'
#      , 'httpd24-httpd', 'httpd24-mod_ssl'
#      ]

compat32Pkgs = \
    ['libXrandr.i686', 'libXpm.i686', 'gtk2.i686', 'libXtst.i686', 'libusb.i686'
    , 'libuuid.i686', 'glibc.i686', 'libstdc++.i686', 'libgcc.i686', 'libxcb.i686'
    , 'nspr.i686', 'cairo.i686', 'glib2.i686', 'libXdamage.i686', 'pango.i686'
    , 'fontconfig.i686', 'webkitgtk3.i686','libXp.i686', 'libXmu.i686'
    , 'ncurses-devel.i686', 'glibc-devel.i686', 'libstdc++-devel.i686'
    , 'gtk2-devel.i686'
    ]


configuration.addProfile ( profileid = 'bureautique'
                         , hosts     = [ 'strauss' ]
                         , repoids   = repoids
                         , packages  = desktopSl7Pkgs      + \
                                       desktopSocPkgs      + \
                                       texliveSocPkgs      + \
                                       sysDevelPkgs        + \
                                       softwareDevelPkgs   + \
                                       xfce4DevelPkgs      + \
                                       multimediaDevelPkgs + \
                                       socNetworkPkgs      + \
                                       compat32Pkgs        + \
                                       sl75AddedPkgs
                         , default   = True                # Default (fallback) profile.
                         )


configuration.addProfile ( profileid = 'laptop'
                         , hosts     = [ 'lepka', 'backup', 'neustardt', 'arhouni-dock' ]
                         , repoids   = repoids
                         , packages  = desktopSl7Pkgs      + \
                                       desktopSocPkgs      + \
                                       texliveSocPkgs      + \
                                       perlPkgs            + \
                                       sysDevelPkgs        + \
                                       softwareDevelPkgs   + \
                                       xfce4DevelPkgs      + \
                                       multimediaDevelPkgs + \
                                       nodeJsPkgs          + \
                                       laptopPkgs          + \
                                       sl75AddedPkgs
                         )


configuration.addProfile ( profileid = 'admin'
                        #, hosts     = [ 'lepka', 'shadock', 'goulp', 'melon' ]
                         , hosts     = [ 'melon' ]
                         , repoids   = repoids
                         , packages  = desktopSl7Pkgs      + \
                                       desktopSocPkgs      + \
                                       texliveSocPkgs      + \
                                       sysDevelPkgs        + \
                                       softwareDevelPkgs   + \
                                       xfce4DevelPkgs      + \
                                       multimediaDevelPkgs
                         )


configuration.addProfile ( profileid = 'server'
                         , hosts     = [ 'melon' ]
                         , repoids   = repoids
                         , packages  = desktopSl7Pkgs      + \
                                       desktopSocPkgs      + \
                                       texliveSocPkgs      + \
                                       sysDevelPkgs        + \
                                       softwareDevelPkgs   + \
                                       xfce4DevelPkgs      + \
                                       multimediaDevelPkgs + \
                                       serverPkgs          + \
                                       compat32Pkgs        + \
                                       sl75AddedPkgs
                         )
